@charset "utf-8";

/* Request Button CSS */
body {
	margin: 0;
    padding: 0;
    width: 100%;
    height: 88VH;
    justify-content: center;
    align-items: center;
    background: #1B1B1B;
}

.glow-on-hover {
    width: 150px;
    height: 30px;
    border: none;
    outline: none;
    color: #f5b100;
    background: #676767;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 10px;
	text-shadow: #FC0 1px 0 10px;
	box-shadow: #695400 1px 0 10px;
}

.glow-on-hover:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #ff7300, #fffb00, #48ff00, #00ffd5, #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left:-2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

.glow-on-hover:active {
    color: #000
}

.glow-on-hover:active:after {
    background: transparent;
}

.glow-on-hover:hover:before {
    opacity: 1;
}

.glow-on-hover:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #373737;
    left: 0;
    top: 0;
    border-radius: 5px;
}

@keyframes glowing {
    0% { background-position: 0 0; }
    50% { background-position: 400% 0; }
    100% { background-position: 0 0; }
}